SystemOrganization addCategory: #NumberGenerator!

TestCase subclass: #NumberGeneratorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NumberGenerator'!

!NumberGeneratorTest methodsFor: 'as yet unclassified' stamp: 'lafredu 3/3/2017 17:14'!
testLinespaceFromTo 

	self assert: (NumberGenerator new linespace: 10 from: 10 to: 20) equals:  #(10 11 12 13 14 15 16 17 18 19 20).
	self assert: (NumberGenerator new linespace: 11 from: -5 to: 5) equals: {-5. (-45/11). (-35/11). (-25/11). (-15/11). (-5/11). (5/11). (15/11). (25/11). (35/11). (45/11). 5}
	

	! !

Object subclass: #NumberGenerator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NumberGenerator'!

!NumberGenerator commentStamp: 'lafredu 3/3/2017 17:39' prior: 0!
RTGrapher new
	add: (RTData new
		points: (NumberGenerator new linespace: 11 from: -5 to: 5);
		yourself)!

!NumberGenerator methodsFor: 'as yet unclassified' stamp: 'lafredu 3/3/2017 17:11'!
linespace: n from: aNumber to: anotherNumber 
	"precondition: aNumber < anotherNumber"
	
	| step |
	step := (anotherNumber - aNumber) / n.
	^ (aNumber to: anotherNumber by: step) asArray

	! !
